Bug 251588 - x11-drivers/xf86-video-intel: switch to iris by default (like modesetting)
Summary: x11-drivers/xf86-video-intel: switch to iris by default (like modesetting)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: needs-qa, patch
Depends on: 250307
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-04 21:56 UTC by Jan Beich
Modified: 2020-12-23 20:15 UTC (History)
3 users (show)

See Also:
manu: maintainer-feedback+
zeising: maintainer-feedback+


Attachments
v1 (2.00 KB, patch)
2020-12-04 21:56 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-12-04 21:56:10 UTC
Created attachment 220264 [details]
v1

Tested on Skylake via Firefox:
- UXA + DRI2 (default)
- UXA + DRI3
- SNA + DRI2
- SNA + DRI3

$ diff /var/log/Xorg.0.log{.old,}
--- Xorg.0.log.old
+++ Xorg.0.log
@@ -115,7 +115,7 @@ X Protocol Version 11, Revision 0
  (==) intel(0): DPMS enabled
  (==) intel(0): Display hotplug detection enabled
  (II) intel(0): [DRI2] Setup complete
- (II) intel(0): [DRI2]   DRI driver: i965
+ (II) intel(0): [DRI2]   DRI driver: iris
  (II) intel(0): [DRI2]   VDPAU driver: va_gl
  (II) intel(0): direct rendering: DRI2 DRI3 enabled
  (II) intel(0): hardware support for Present enabled
@@ -144,7 +144,7 @@ X Protocol Version 11, Revision 0
  (II) Initializing extension XVideo
  (II) Initializing extension XVideo-MotionCompensation
  (II) Initializing extension GLX
- (II) AIGLX: Loaded and initialized i965
+ (II) AIGLX: Loaded and initialized iris
  (II) GLX: Initialized DRI2 GL provider for screen 0
  (II) Initializing extension XFree86-VidModeExtension
  (II) Initializing extension XFree86-DGA
Comment 1 Emmanuel Vadot freebsd_committer 2020-12-04 22:02:59 UTC
LGTM
Comment 2 Niclas Zeising freebsd_committer 2020-12-05 11:28:16 UTC
Approved.
Comment 3 Oleksandr Kryvulia 2020-12-07 08:51:59 UTC
Works well for me (SNA + DRI3).
Comment 4 commit-hook freebsd_committer 2020-12-10 00:42:55 UTC
A commit references this bug:

Author: jbeich
Date: Thu Dec 10 00:42:01 UTC 2020
New revision: 557402
URL: https://svnweb.freebsd.org/changeset/ports/557402

Log:
  x11-drivers/xf86-video-intel: switch to iris by default

  modesetting(4x) uses iris on Brodwell and newer, so do the same.

  PR:		251588
  Approved by:	manu, zeising
  Tested by:	Oleksandr Kryvulia

Changes:
  head/x11-drivers/xf86-video-intel/Makefile
  head/x11-drivers/xf86-video-intel/files/patch-prefer-iris
Comment 5 Niclas Zeising freebsd_committer 2020-12-23 19:27:46 UTC
Can this be closed?
Comment 6 Jan Beich freebsd_committer 2020-12-23 20:15:26 UTC
Sure. I waited a bit expecting unique regressions but bug 251836 also affects modesetting.